""" Miscellaneous Windows-related utility functions for doc_file_processing """

import re

def make_valid_filename(input: str) -> str:
    """ Replace characters in input which would be invalid in a Windows filename """
    # just going to assume nothing will ever be named COM, PRN, etc
    return re.sub('[\x00-\x1f<>:"/\\|?*]','_', input)
